Skip to main content

Full Depth (Order Book)

API Description

Fetches the full order book depth(UI&API orders) for a symbol, including bid and ask orders with their prices and quantities. Useful for analyzing market liquidity and current order book state.

HTTP Request

GET /bapi/defi/v1/public/alpha-trade/fullDepth

Full URL Example

https://www.binance.com/bapi/defi/v1/public/alpha-trade/fullDepth?symbol=ALPHA_175USDT&limit=5

Parameters

NameTypeMandatoryDescription
symbolSTRINGYESe.g., "ALPHA_175USDT" – use token ID from Token List
limitINTNOdefault 500, value can be 5, 10, 20, 50, 100, 500, 1000

Response Structure

  • code: String, response status code, "000000" indicates success.
  • message: String/null, typically used for optional messages or errors; null on success.
  • messageDetail: String/null, further details about the message; null on success.
  • success: Boolean, indicates whether the request was successful; success is true.
  • data: Object, contains the order book data:
    • lastUpdateId: Long, last order book update ID, e.g., 47534656223
    • symbol: String, the trading pair symbol, e.g., "ALPHA_175USDT"
    • bids: Array of arrays, each inner array contains two string entries representing bid orders:
      1. Price (string), e.g., "0.00040161"
      2. Quantity (string), e.g., "365980.85000000"
    • asks: Array of arrays, each inner array contains two string entries representing ask orders:
      1. Price (string), e.g., "0.00046996"
      2. Quantity (string), e.g., "61994.70000000"
    • E: Long, event time in milliseconds, e.g., 1775027836086
    • T: Long, transaction time in milliseconds, e.g., 1775027836072

Response Example

{
"code": "000000",
"message": null,
"messageDetail": null,
"success": true,
"data": {
"lastUpdateId": 47534656223,
"symbol": "ALPHA_175USDT",
"bids": [
["0.00040161", "365980.85000000"],
["0.00040096", "61994.70000000"],
["0.00035440", "471.53000000"],
["0.00028500", "52631.57000000"],
["0.00028356", "172229.82000000"]
],
"asks": [
["0.00046996", "61994.70000000"],
["0.00048639", "879.00000000"],
["0.00049400", "258313.50000000"],
["0.00049850", "272186.86000000"],
["0.00054000", "370.37000000"]
],
"E": 1775027836086,
"T": 1775027836072
}
}